# module ActionController::RackDelegation

### Public Instance Methods

dispatch(action, request, response = ActionDispatch::Response.new) click to toggle source
Calls superclass method

    # File lib/action_controller/metal/rack_delegation.rb, line 11
    def dispatch(action, request, response = ActionDispatch::Response.new)
      @_response ||= response
      @_response.request ||= request
      super(action, request)
    end

reset_session() click to toggle source

    # File lib/action_controller/metal/rack_delegation.rb, line 22
    def reset_session
      @_request.reset_session
    end

response_body=(body) click to toggle source
Calls superclass method

    # File lib/action_controller/metal/rack_delegation.rb, line 17
    def response_body=(body)
      response.body = body if response
      super
    end